Запомняне

» Здравейте
[ Вход :: Регистриране ]
 » Начало » Li Форуми » Help & Support » Общи Проблеми и Въпроси » Тиликс се бъгна след ъпдейт
Тема: Тиликс се бъгна след ъпдейт
Мнение #1 Skip to the next post in this topic.
Написано на: Септември 23 2005, 17:25
the_mouse

Avatar




Група: Li fans
Мнения: 131
Регистриран: Юли 2005

Оценка: няма

Offline
Ъптдейтнах Тиликс с командата
apt-get -u upgrade
И нещо се бъгна...
Значи свали си пакетите (за около три час, ама това е друга тема), после почна да ги инсталира и ме пита дали се доверявам да едни сертификати. Аз ги маркирах всички.
На края на инсталацията ми даде грешка в последия пакет (не му помня името). И готово. Като реснах компютъра, при зареждането на KDE стига до "Инициализиране на периферните устройства", спира на него и излиза от гр.среда и ме пита за парола (което по принцип е изключено). Добре, пиша я и пак същото става при зареждането.
Както и да е - преинсталирах го, но не смея да ъпдейтна отново.
Защо стана така?

Контакти:  the_mouse

  • AOL  AOL:
  • ICQ  ICQ: 317287252
  • MSN  MSN:
  • YIM  Yahoo IM: Othe_mouseO
WEB  
Мнение #2 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Септември 23 2005, 19:09
Zero_effect

Avatar




Група: Li maniacs
Мнения: 489
Регистриран: Юли 2005

Оценка: 5

Offline
Тази тема не дава абсолютно никаква информация относно конкретния проблем. Моля не пишете такива теми, защото никой няма да може да Ви помогне.

Това, което бих ти препоръчал е пак да го ъпгрейтнеш поне да открием проблема. И никога да не преинсталираш като Уиндолс операционната система - всички проблеми си имат решение, а като инсталираш наново не научаваш нищо.


Редактирано от Zero_effect на Септември 24 2005, 00:05
Контакти:  Zero_effect

  • AOL  AOL:
  • ICQ  ICQ: 94584818
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #3 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Септември 23 2005, 23:28
the_mouse

Avatar




Група: Li fans
Мнения: 131
Регистриран: Юли 2005

Оценка: няма

Offline
Прав си. Но аз като затворих конзолата с резултатите още не знаех за съжествуващия проблем. Чак когато спрях компа и го пуснах наново след малко то видях. И за това не можах да дам по-подробна информация. Сега преди да си легна пак ще пусна пакетите да се обновяват и ще сейфна инфото.

Контакти:  the_mouse

  • AOL  AOL:
  • ICQ  ICQ: 317287252
  • MSN  MSN:
  • YIM  Yahoo IM: Othe_mouseO
WEB  
Мнение #4 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Септември 24 2005, 11:10
the_mouse

Avatar




Група: Li fans
Мнения: 131
Регистриран: Юли 2005

Оценка: няма

Offline
Сега напрлавих ъпдейта наново и резултатът е пак същия. Ето съобщението за грешка от конзолата:
Код: 
/var/cache/apt/archives/sysv-rc_2.86.ds1-2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Контакти:  the_mouse

  • AOL  AOL:
  • ICQ  ICQ: 317287252
  • MSN  MSN:
  • YIM  Yahoo IM: Othe_mouseO
WEB  
Мнение #5 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Септември 24 2005, 14:50
stumps

Avatar




Група: Li psychos
Мнения: 1311
Регистриран: Април 2005

Offline
Хм, доста е странно ... не бих се наел с категорично мнение от къде идва проблемът ... но едно друго нещо ще те посъветвам ... опцията 'upgrade' на 'apt-get' е доста опасно нещо, особено ако не си добре запознат с това, кой софтуерен пакет за какво е. Ако наистина искаш да правиш upgrade на дистрибуцията ти по-добре използвай следната команда:
Код: 
apt-get -V dist-upgrade

И винаги внимавай какво apt ти предлага да направи, какво да изтрие, ъпгрейдне или добави като пакети ...


Редактирано от stumps на Септември 24 2005, 14:51

Два месеца работа с компютъра спестява два часа четене на документация

Бизнесът на Microsoft е бизнес за трима: Един пише вируси, друг прави антивирусни, а третият продава (псевдо)операционна система за тях.
Контакти:  stumps

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #6 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Септември 24 2005, 17:04
Zero_effect

Avatar




Група: Li maniacs
Мнения: 489
Регистриран: Юли 2005

Оценка: 5

Offline
А аз бих те посъветвал изобщо да не ъпгрейтваш, освен ако няма някаква съществена причина. Ъпгрейтвай само ако има нещо, което ти трябва.

П.П. Предположение: тъй като това е или инит системата, или буут скрипта, те не могат да се заменят, поради вакта, че се използват.

Някой може би трябва да ти даде идея как да провериш грешката, която е дал дебиан системата за пакетиране при инсталацията, защото аз никога не съм използвал apt и системата за пакетиране на дебиан


Редактирано от Zero_effect на Септември 24 2005, 17:12
Контакти:  Zero_effect

  • AOL  AOL:
  • ICQ  ICQ: 94584818
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #7 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Септември 24 2005, 17:40
stumps

Avatar




Група: Li psychos
Мнения: 1311
Регистриран: Април 2005

Offline
Тук е дадено примерно решение на подобен род проблеми с apt:
http://www.linuxquestions.org/questio....=171107

Два месеца работа с компютъра спестява два часа четене на документация

Бизнесът на Microsoft е бизнес за трима: Един пише вируси, друг прави антивирусни, а третият продава (псевдо)операционна система за тях.
Контакти:  stumps

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
Мнение #8 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Септември 24 2005, 20:04
the_mouse

Avatar




Група: Li fans
Мнения: 131
Регистриран: Юли 2005

Оценка: няма

Offline
А има ли някакъв начин да "съживя" дебиана, защото иначе трябва да преинсталирам, знам че е непрофесионално.
А каква е разликата между
Код: 
apt-get -V dist-upgrade
и
Код: 
apt-get -u upgrade
?
Да не стана пак същата мазаница?
Цитат:

Тук е дадено примерно решение на подобен род проблеми с apt:
http://www.linuxquestions.org/questio....=171107

Дали ще свърши работа, защото когато даде грешката системата вече е бъгната и не знам дали force-ваното инсталиране на този пакет ще помогне.


Редактирано от the_mouse на Септември 24 2005, 20:13

Контакти:  the_mouse

  • AOL  AOL:
  • ICQ  ICQ: 317287252
  • MSN  MSN:
  • YIM  Yahoo IM: Othe_mouseO
WEB  
Мнение #9 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Септември 24 2005, 20:23
mcwolf

No avatar chosen




Група: Li gurus
Мнения: 1489
Регистриран: Април 2005

Оценка: 5

Offline
dist-upgrade се ползва за ъпгреид на цялата дистрибуция (един вид за смяната и)
upgrade ъпгрейдва инсталираните пакети в твойта си дистрибуция (макар че ако използваш само хранилища за твойта си дистрибуция двете команди са еднакви)

а за съживяването няма да е зле да кажеш защо не върви X-a (пусни едно startx и виж каква грешка дава де)
Контакти:  mcwolf

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #10
Skip to the previous post in this topic. Написано на: Септември 24 2005, 21:47
the_mouse

Avatar




Група: Li fans
Мнения: 131
Регистриран: Юли 2005

Оценка: няма

Offline
Като вляза през конзолата и напиша startx се опитва пак да пусне КДЕ, но всичко се повтаря, връща се в конзолата и ми дава следните грешки:
Код: 
Skipping "/usr/X11R6/lib/modules/extensions/libGLcore.a:m_debug_clip.o":  No symbols found
Skipping "/usr/X11R6/lib/modules/extensions/libGLcore.a:m_debug_norm.o":  No symbols found
Skipping "/usr/X11R6/lib/modules/extensions/libGLcore.a:m_debug_xform.o":  No symbols found
Skipping "/usr/X11R6/lib/modules/extensions/libGLcore.a:m_debug_vertex.o":  No symbols found
................................
Warning: font renderer for ".pcf" already registered at priority 0
Warning: font renderer for ".pcf.Z" already registered at priority 0
Warning: font renderer for ".pcf.gz" already registered at priority 0
Warning: font renderer for ".snf" already registered at priority 0
Warning: font renderer for ".snf.Z" already registered at priority 0
Warning: font renderer for ".snf.gz" already registered at priority 0
Warning: font renderer for ".bdf" already registered at priority 0
Warning: font renderer for ".bdf.Z" already registered at priority 0
Warning: font renderer for ".bdf.gz" already registered at priority 0
Warning: font renderer for ".pmf" already registered at priority 0

Не знам дали е от значение, но забелязвам, че шрифтовете, с които изписва надписите в splash екрана по време на зареждането са различни, от тези, които бях сложил.


Редактирано от the_mouse на Септември 24 2005, 21:51

Контакти:  the_mouse

  • AOL  AOL:
  • ICQ  ICQ: 317287252
  • MSN  MSN:
  • YIM  Yahoo IM: Othe_mouseO
WEB  
Общо 16 отговор(а) от Септември 23 2005, 17:25 до сега
 » Начало » Li Форуми » Help & Support » Общи Проблеми и Въпроси » Тиликс се бъгна след ъпдейт

© 2014 Linux Index Project
Powered by iF 1.0.0 © 2006 ikonForums